Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscoderOutput

    java.lang.Object
      org.apache.batik.transcoder.TranscoderOutput

    public class TranscoderOutput

extends Object

This class represents a single output for a `Transcoder`.

Field Summary
`protected Document` | `document` The optional output as XML Document.
`protected OutputStream` | `ostream` The optional output has a byte stream.
`protected String` | `uri` The optional output as a URI.
`protected Writer` | `writer` The optional output as a character stream.
`protected XMLFilter` | `xmlFilter` The optional XML filter where to send SAX events.

Constructor Summary
`TranscoderOutput()` Constructs a new empty `TranscoderOutput`.
`TranscoderOutput(Document document)` Constructs a new `TranscoderOutput` with the specified Document.
`TranscoderOutput(OutputStream ostream)` Constructs a new `TranscoderOutput` with the specified byte stream output.
`TranscoderOutput(String uri)` Constructs a new `TranscoderOutput` with the specified uri.
`TranscoderOutput(Writer writer)` Constructs a new `TranscoderOutput` with the specified character stream.
`TranscoderOutput(XMLFilter xmlFilter)` Constructs a new `TranscoderOutput` with the specified XML filter.

Method Summary
`Document` | `getDocument()` Returns the output of this transcoder as a document or null if none was supplied.
`OutputStream` | `getOutputStream()` Returns the output of this transcoder as a byte stream or null if none was supplied.
`String` | `getURI()` Returns the output of this transcoder as a URI or null if none was supplied.
`Writer` | `getWriter()` Returns the output of this transcoder as a character stream or null if none was supplied.
`XMLFilter` | `getXMLFilter()` Returns the output of this transcoder as a XML filter or null if none was supplied.
`void` | `setDocument(Document document)` Sets the output of this transcoder output with the specified document.
`void` | `setOutputStream(OutputStream ostream)` Sets the output of this transcoder output with the specified byte stream.
`void` | `setURI(String uri)` Sets the output of this transcoder output with the specified URI.
`void` | `setWriter(Writer writer)` Sets the output of this transcoder output with the specified character stream.
`void` | `setXMLFilter(XMLFilter xmlFilter)` Sets the output of this transcoder output with the specified XML filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlFilter

    protected XMLFilter xmlFilter

  The optional XML filter where to send SAX events.

### ostream

    protected OutputStream ostream

  The optional output has a byte stream.

### writer

    protected Writer writer

  The optional output as a character stream.

### document

    protected Document document

  The optional output as XML Document.

### uri

    protected String uri

  The optional output as a URI.

Constructor Detail

### TranscoderOutput

    public TranscoderOutput()

  Constructs a new empty `TranscoderOutput`.

### TranscoderOutput

    public TranscoderOutput(XMLFilter xmlFilter)

  Constructs a new `TranscoderOutput` with the specified XML filter.

  Parameters:
    `xmlFilter` - the XML filter of this transcoder output

### TranscoderOutput

    public TranscoderOutput(OutputStream ostream)

  Constructs a new `TranscoderOutput` with the specified byte stream output.

  Parameters:
    `ostream` - the byte stream of this transcoder output

### TranscoderOutput

    public TranscoderOutput(Writer writer)

  Constructs a new `TranscoderOutput` with the specified character stream.

  Parameters:
    `writer` - the character stream of this transcoder output

### TranscoderOutput

    public TranscoderOutput(Document document)

  Constructs a new `TranscoderOutput` with the specified Document.

  Parameters:
    `document` - the Document of this transcoder output

### TranscoderOutput

    public TranscoderOutput(String uri)

  Constructs a new `TranscoderOutput` with the specified uri.

  Parameters:
    `uri` - the URI of this transcoder output

Method Detail

### setXMLFilter

    public void setXMLFilter(XMLFilter xmlFilter)

  Sets the output of this transcoder output with the specified XML filter.

  Parameters:
    `xmlFilter` - the XML filter of this transcoder output

### getXMLFilter

    public XMLFilter getXMLFilter()

  Returns the output of this transcoder as a XML filter or null if none was supplied.

### setOutputStream

    public void setOutputStream(OutputStream ostream)

  Sets the output of this transcoder output with the specified byte stream.

  Parameters:
    `ostream` - the byte stream of this transcoder output

### getOutputStream

    public OutputStream getOutputStream()

  Returns the output of this transcoder as a byte stream or null if none was supplied.

### setWriter

    public void setWriter(Writer writer)

  Sets the output of this transcoder output with the specified character stream.

  Parameters:
    `writer` - the character stream of this transcoder output

### getWriter

    public Writer getWriter()

  Returns the output of this transcoder as a character stream or null if none was supplied.

### setDocument

    public void setDocument(Document document)

  Sets the output of this transcoder output with the specified document.

  Parameters:
    `document` - the document of this transcoder output

### getDocument

    public Document getDocument()

  Returns the output of this transcoder as a document or null if none was supplied.

### setURI

    public void setURI(String uri)

  Sets the output of this transcoder output with the specified URI.

  Parameters:
    `uri` - the URI of this transcoder output

### getURI

    public String getURI()

  Returns the output of this transcoder as a URI or null if none was supplied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.